Get all details 1

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/scenario/{scenarioId}/calendar-analysis-summary/details

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required

Query parameters

  • dataDate string

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • dataDate string(date)
    • metrics object
      Hide metrics attribute Show metrics attribute object
      • * array[object] Additional properties
        Hide * attributes Show * attributes object
        • calendarName string
        • analysis string
GET /project/{projectId}/scenario/{scenarioId}/calendar-analysis-summary/details
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/calendar-analysis-summary/details' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "dataDate": "2026-05-04",
    "metrics": {
      "additionalProperty1": [
        {
          "calendarName": "string",
          "analysis": "string"
        }
      ],
      "additionalProperty2": [
        {
          "calendarName": "string",
          "analysis": "string"
        }
      ]
    }
  }
]